{% extends 'base.html' %}

{% block content %}
    <main class="plan-detail">
        <div>
            <a href="{% url 'plans_edit' mealplan.pk %}">Edit</a>
            <a href="{% url 'plans_delete' mealplan.pk %}">Delete</a>
        </div>
        
        <h1>{{ mealplan.name }}</h1>
        <p>Served on: {{ mealplan.date }}</p>

        <div class="recipes-list">
            <p>Recipes: </p>
            {% for recipe in mealplan.recipes.all %}
                <a href="{% url 'recipe_detail' recipe.pk %}">{{ recipe.name }}, </a>
            {% endfor %}
        </div>
    </main>
{% endblock content %}